## ros-rolling-sensor-msgs 4.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(sensor_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

set(msg_files
  "msg/BatteryState.msg"
  "msg/CameraInfo.msg"
  "msg/ChannelFloat32.msg"
  "msg/CompressedImage.msg"
  "msg/FluidPressure.msg"
  "msg/Illuminance.msg"
  "msg/Image.msg"
  "msg/Imu.msg"
  "msg/JointState.msg"
  "msg/Joy.msg"
  "msg/JoyFeedback.msg"
  "msg/JoyFeedbackArray.msg"
  "msg/LaserEcho.msg"
  "msg/LaserScan.msg"
  "msg/MagneticField.msg"
  "msg/MultiDOFJointState.msg"
  "msg/MultiEchoLaserScan.msg"
  "msg/NavSatFix.msg"
  "msg/NavSatStatus.msg"
  "msg/PointCloud.msg"
  "msg/PointCloud2.msg"
  "msg/PointField.msg"
  "msg/Range.msg"
  "msg/RegionOfInterest.msg"
  "msg/RelativeHumidity.msg"
  "msg/Temperature.msg"
  "msg/TimeReference.msg"
)
set(srv_files
  "srv/SetCameraInfo.srv"
)
rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces geometry_msgs std_msgs
  ADD_LINTER_TESTS
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  include_directories(include)
  ament_add_gtest(test_sensor_msgs
    test/test_image_encodings.cpp
    test/test_pointcloud_conversion.cpp
    test/test_pointcloud_iterator.cpp)
  rosidl_get_typesupport_target(cpp_typesupport_target ${PROJECT_NAME} "rosidl_typesupport_cpp")
  target_link_libraries(test_sensor_msgs "${cpp_typesupport_target}")
endif()

ament_export_dependencies(rosidl_default_runtime)
ament_export_include_directories(include)

ament_package()

=== debian/changelog ===
ros-rolling-sensor-msgs (4.0.0-1focal) focal; urgency=high

  * Cleanup mislabeled BSD license (#83 <https://github.com/ros2/common_interfaces/issues/83>)
  * Update maintainers to Geoffrey Biggs and Tully Foote (#163 <https://github.com/ros2/common_interfaces/issues/163>)
  * Fix rosdoc2 warnings in sensor_msgs. (#162 <https://github.com/ros2/common_interfaces/issues/162>)
  * Add equidistant distortion model (#160 <https://github.com/ros2/common_interfaces/issues/160>)
  * Contributors: Audrow Nash, Chris Lalancette, Martin Günther, Tully Foote

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 14 Dec 2021 00:00:00 -0000

ros-rolling-sensor-msgs (3.0.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 24 Aug 2021 00:00:00 -0000

ros-rolling-sensor-msgs (2.3.0-1focal) focal; urgency=high

  * Use rosidl_get_typesupport_target() (#156 <https://github.com/ros2/common_interfaces/issues/156>)
  * Update CompressedImage documentation: add 'tiff' as a supported format (#154 <https://github.com/ros2/common_interfaces/issues/154>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-sensor-msgs (2.2.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 27 Apr 2021 00:00:00 -0000

ros-rolling-sensor-msgs (2.2.2-1focal) focal; urgency=high

  * Change index.ros.org -> docs.ros.org. (#149 <https://github.com/ros2/common_interfaces/issues/149>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#145 <https://github.com/ros2/common_interfaces/issues/145>)
  * Contributors: Chris Lalancette, shonigmann

 -- Michael Carroll <michael@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-sensor-msgs (2.2.1-1focal) focal; urgency=high

  * Fix PointCloud2Iterator namespacing in docs (#139 <https://github.com/ros2/common_interfaces/issues/139>)
  * Contributors: Andre Nguyen

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-sensor-msgs (2.2.0-1focal) focal; urgency=high

  * Add coverage/performance to qd for sensor_msgs (#137 <https://github.com/ros2/common_interfaces/issues/137>)
  * Update QDs to QL 1 (#135 <https://github.com/ros2/common_interfaces/issues/135>)
  * Update package maintainers. (#132 <https://github.com/ros2/common_interfaces/issues/132>)
  * Updated Quality Level to 2 (#131 <https://github.com/ros2/common_interfaces/issues/131>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, Stephen Brawner

 -- Michael Carroll <michael@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-sensor-msgs (2.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 21 Jul 2020 00:00:00 -0000

ros-rolling-sensor-msgs (2.0.2-1focal) focal; urgency=high

  * Missing cstring header for memcpy in fill_image.hpp (#126 <https://github.com/ros2/common_interfaces/issues/126>)
  * Update Quality levels to level 3 (#124 <https://github.com/ros2/common_interfaces/issues/124>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#120 <https://github.com/ros2/common_interfaces/issues/120>)
  * Contributors: Chris Lalancette, Jose Luis Rivero, brawner

 -- William Woodall <william@osrfoundation.org>  Tue, 21 Jul 2020 00:00:00 -0000

ros-rolling-sensor-msgs (2.0.1-1focal) focal; urgency=high

  * QD Update Version Stability to stable version (#121 <https://github.com/ros2/common_interfaces/issues/121>)
  * Contributors: Alejandro Hernández Cordero

 -- William Woodall <william@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-sensor-msgs (1.0.0-1focal) focal; urgency=high

  * Improve clarification of MultiDOFJointState (#114 <https://github.com/ros2/common_interfaces/issues/114>)
  * Comment on common PointField names (#112 <https://github.com/ros2/common_interfaces/issues/112>)
  * Fix sensor_msgs README (#111 <https://github.com/ros2/common_interfaces/issues/111>)
  * Add current-level quality declarations (#109 <https://github.com/ros2/common_interfaces/issues/109>)
  * Contributors: Tully Foote, brawner

 -- William Woodall <william@osrfoundation.org>  Wed, 20 May 2020 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-sensor-msgs
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rosidl-cmake, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: A package containing some sensor data related message and service definitions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-sensor-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-sensor-msgs 5.2.0

=== debian/changelog ===
ros-rolling-sensor-msgs (5.2.0-1jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-sensor-msgs (5.1.0-1jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-sensor-msgs (5.0.0-1jammy) jammy; urgency=high

  * update YUV format codes and documentation (#214 <https://github.com/ros2/common_interfaces/issues/214>)
  * sensor_msgs/Range lacks variance field (#181 <https://github.com/ros2/common_interfaces/issues/181>)
  * Contributors: Christian Rauch, El Jawad Alaa

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-sensor-msgs (4.7.0-1jammy) jammy; urgency=high

  * Update common_interfaces to C++17. (#215 <https://github.com/ros2/common_interfaces/issues/215>)
  * [rolling] Update maintainers - 2022-11-07 (#210 <https://github.com/ros2/common_interfaces/issues/210>)
  * Replaced non-ASCII dash symbol with ASCII dash (#208 <https://github.com/ros2/common_interfaces/issues/208>)
  * Contributors: Audrow Nash, Chris Lalancette, Ivan Zatevakhin

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-sensor-msgs (4.6.1-1jammy) jammy; urgency=high

  * Add NV21 and NV24 to colour formats (#205 <https://github.com/ros2/common_interfaces/issues/205>)
  * Update BatteryState.msg (#206 <https://github.com/ros2/common_interfaces/issues/206>)
  * Contributors: Borong Yuan, Geoffrey Biggs

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-sensor-msgs (4.6.0-1jammy) jammy; urgency=high

  * use regex for matching cv types (#202 <https://github.com/ros2/common_interfaces/issues/202>)
  * Fix outdated file path for image_encodings (#200 <https://github.com/ros2/common_interfaces/issues/200>)
  * Use uint32_t for pointcloud2 resize method (#195 <https://github.com/ros2/common_interfaces/issues/195>)
  * Retain width and height after resize for master (#193 <https://github.com/ros2/common_interfaces/issues/193>)
  * Contributors: Kenji Brameld, Tianyu Li

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-sensor-msgs (4.5.0-1jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 19 May 2022 00:00:00 -0000

ros-rolling-sensor-msgs (4.4.0-1jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-sensor-msgs (4.3.0-1jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-sensor-msgs (4.2.1-1jammy) jammy; urgency=high

  * Move the find_package statements for BUILD_TESTING  (#186 <https://github.com/ros2/common_interfaces/issues/186>)
  * Contributors: Michael Jeronimo

 -- Tully Foote <tfoote@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-sensor-msgs (4.2.0-1jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-sensor-msgs (4.1.1-1jammy) jammy; urgency=high

  * Feedback on conditional sensor_msgs_library target (#1 <https://github.com/ros2/common_interfaces/issues/1>) (#183 <https://github.com/ros2/common_interfaces/issues/183>)
  * [Fix] Fix image_encodings.hpp's URL in README (#184 <https://github.com/ros2/common_interfaces/issues/184>)
  * [Fix] Fix fill_image.hpp's URL in README (#182 <https://github.com/ros2/common_interfaces/issues/182>)
  * Add sensor_msgs_library target and install headers to include/${PROJECT_NAME} (#178 <https://github.com/ros2/common_interfaces/issues/178>)
  * Contributors: Homalozoa X, Pablo Garrido, Shane Loretz

 -- Tully Foote <tfoote@openrobotics.org>  Sat, 26 Mar 2022 00:00:00 -0000

ros-rolling-sensor-msgs (4.1.0-1jammy) jammy; urgency=high

  * Interface packages should fully <depend> on the interface packages that they depend on (#173 <https://github.com/ros2/common_interfaces/issues/173>)
  * Add YUV420 and YUV444 to image encodings (#172 <https://github.com/ros2/common_interfaces/issues/172>)
  * Contributors: Grey, Hemal Shah

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-sensor-msgs (4.0.0-1jammy) jammy; urgency=high

  * Cleanup mislabeled BSD license (#83 <https://github.com/ros2/common_interfaces/issues/83>)
  * Update maintainers to Geoffrey Biggs and Tully Foote (#163 <https://github.com/ros2/common_interfaces/issues/163>)
  * Fix rosdoc2 warnings in sensor_msgs. (#162 <https://github.com/ros2/common_interfaces/issues/162>)
  * Add equidistant distortion model (#160 <https://github.com/ros2/common_interfaces/issues/160>)
  * Contributors: Audrow Nash, Chris Lalancette, Martin Günther, Tully Foote

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 14 Dec 2021 00:00:00 -0000

ros-rolling-sensor-msgs (3.0.0-1jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 24 Aug 2021 00:00:00 -0000

ros-rolling-sensor-msgs (2.3.0-1jammy) jammy; urgency=high

  * Use rosidl_get_typesupport_target() (#156 <https://github.com/ros2/common_interfaces/issues/156>)
  * Update CompressedImage documentation: add 'tiff' as a supported format (#154 <https://github.com/ros2/common_interfaces/issues/154>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-sensor-msgs (2.2.3-1jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 27 Apr 2021 00:00:00 -0000

ros-rolling-sensor-msgs (2.2.2-1jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#149 <https://github.com/ros2/common_interfaces/issues/149>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#145 <https://github.com/ros2/common_interfaces/issues/145>)
  * Contributors: Chris Lalancette, shonigmann

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000



=== debian/control ===
Source: ros-rolling-sensor-msgs
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rosidl-cmake <!nocheck>, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: A package containing some sensor data related message and service definitions.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
